CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes
TestCaseMethodFunctor Class Reference

Functor to call test case method (Implementation). More...

Inheritance diagram for TestCaseMethodFunctor:
[legend]
Collaboration diagram for TestCaseMethodFunctor:
[legend]

List of all members.

## Public Types
typedef void(TestCase::* | Method )()
## Public Member Functions
| TestCaseMethodFunctor (TestCase *target, Method method)
bool | operator() () const
## Private Attributes
TestCase * | m_target
Method | m_method

## Detailed Description

Functor to call test case method (Implementation).

Implementation detail.

## Member Typedef Documentation

typedef void(TestCase::* TestCaseMethodFunctor::Method)()

## Constructor & Destructor Documentation

TestCaseMethodFunctor::TestCaseMethodFunctor | ( | TestCase * | target,
|  | Method | method
| ) |  | `[inline]`

## Member Function Documentation

bool TestCaseMethodFunctor::operator() | ( |  | ) | const`[inline, virtual]`

Implements Functor.

## Member Data Documentation

Method TestCaseMethodFunctor::m_method`[private]`

TestCase* TestCaseMethodFunctor::m_target`[private]`

The documentation for this class was generated from the following file:

- TestCase.cpp

| hosts this site. |  | Send comments to: CppUnit Developers